PDA

Archiv verlassen und diese Seite im Standarddesign anzeigen : Fehler!!



hanneshoch3
19.04.2006, 21:23
Sorry das ich schon wieder nerve :rolleyes:

Also ich will licq (icq für linux) installieren und wenn ich ./configure mache kommt das:


loading cache ./config.cache
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking build system type... i686-pc-linux-gnu
checking for a BSD compatible install... /bin/install -c
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... yes
checking for working aclocal... found
checking for working autoconf... found
checking for working automake... found
checking for working autoheader... found
checking for working makeinfo... found
checking for gcc... gcc
checking whether the C compiler (gcc ) works... yes
checking whether the C compiler (gcc ) is a cross-compiler... no
checking whether we are using GNU C... yes
checking whether gcc accepts -g... yes
checking how to run the C preprocessor... gcc -E
checking for c++... c++
checking whether the C++ compiler (c++ ) works... yes
checking whether the C++ compiler (c++ ) is a cross-compiler... no
checking whether we are using GNU C++... yes
checking whether c++ accepts -g... yes
checking whether c++ accepts -fno-exceptions -fno-check-new... yes
checking how to run the C++ preprocessor... c++ -E
checking for POSIXized ISC... no
checking whether make sets ${MAKE}... (cached) yes
checking for a BSD compatible install... /bin/install -c
checking for ranlib... ranlib
checking for strip... /usr/bin/strip
checking for size... /usr/bin/size
Setting Linux compilation options
checking for dirent.h that defines DIR... yes
checking for opendir in -ldir... no
checking for ANSI C header files... yes
checking for errno.h... yes
checking for fcntl.h... yes
checking for getopt.h... yes
checking for limits.h... yes
checking for malloc.h... yes
checking for pwd.h... yes
checking for unistd.h... yes
checking for paths.h... yes
checking for inet_addr in -lxnet... no
checking for socket in -lsocket... no
checking for gethostbyname in -lnsl... yes
checking for pthread_cancel in -lc_r... no
checking for pthread_cancel in -lpthread... yes
checking for dlopen in -lc_r... no
checking for dlopen in -lc... no
checking for dlopen in -ldl... yes
checking for dlopen modes... RTLD_LAZY
checking for inet_addr... yes
checking for inet_aton... yes
checking for mktime... yes
checking for select... yes
checking for strdup... yes
checking for strerror... yes
checking for hstrerror... yes
checking for readdir_r... yes
checking whether to enable SOCKS5 support... no
checking if OpenSSL support is desired... yes
checking for openssl/ssl.h... yes
checking for DH_free in -lcrypto... yes
checking for SSL_new in -lssl... yes
checking for vector.h... no
configure: error: You need to have the libstdc++ headers installed



Helft mir!

Eclipse
20.04.2006, 12:05
Installier die libstdc++ headers.

hanneshoch3
20.04.2006, 20:55
Ich hab libstdc++ schon installiert.Ich weiss nur net was mit headers gemeint is?!


MFG hannes

deki
20.04.2006, 21:01
Falls du Debian oder eine andere Binärpaket-Distribution hast, dann heißt das Paket wahrscheinlich "libstdc++-dev" oder ähnlich. Such mal bitte danach in deinem Paketmanager.

hanneshoch3
20.04.2006, 22:01
Hab gentoo.Gibts aber net was du Vorgeschlagen hast.Noch andere ratschläge?

ustech
21.04.2006, 12:26
äähhh .. ja .. ich hab noch nen ratschlag ... wozu hast du gentoo wenn du eh manuell kompilierst .. dann köntneste doch gleich nen lfs machen ...



Hans etc # emerge -avtb licq

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild N ] net-im/licq-1.3.2-r1 USE="crypt ncurses qt ssl -kde -msn -socks5" 3,886 kB
[ebuild N ] x11-libs/qt-3.3.6 USE="cups gif ipv6 mysql opengl -debug -doc -examples -firebird -immqt -immqt-bc -nas -odbc -postgres -sqlite -xinerama" 14,224 kB
[ebuild N ] media-libs/libmng-1.0.9 USE="jpeg -lcms" 541 kB
[ebuild N ] app-crypt/gpgme-1.1.0 841 kB
[ebuild N ] dev-libs/pth-2.0.6 632 kB
[ebuild N ] app-crypt/gnupg-1.4.2.2 USE="X ldap nls readline zlib -bzip2 -caps -curl -ecc -idea -smartcard -static -usb" 2,963 kB
[ebuild N ] virtual/libintl-0 0 kB
[ebuild N ] media-gfx/xloadimage-4.1-r4 USE="jpeg png -tiff" 622 kB
[ebuild N ] dev-libs/cdk-5.0.20060220 380 kB

Total size of downloads: 24,093 kB

Do you want me to merge these packages? [Yes/No]


also würde ein
emerge -avt licq doch genau das sein was du willst?!?

hanneshoch3
21.04.2006, 16:35
UPPS.... ich bin eben strohdumm.Vielen dankl